<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions">
<p:panelGrid id="datosHoras">
    <p:row>
        <p:column>
            <p:outputLabel
                value="#{msghsp['procedimientos']}"
                for="idProcedimientos" />
        </p:column>
        <p:column class="campo4">
            <p:inputText
                id="idProcedimientos"
                value="#{capturarIntervencionesQuirurgicasController.datosHospitalizacion.datosIntervenciones.numeroProcedimientos}"
                binding="#{capturarIntervencionesQuirurgicasController.textNumeroProcedimientos}"
                tabindex="10"
                maxlength="2">
                <p:keyFilter regEx="/[0-9]/i" />
            </p:inputText>
        </p:column>
        <p:column>
            <p:outputLabel value="#{msghsp['hora.entrada.sala']}" />
        </p:column>
        <p:column class="campo5">
            <p:inputMask
                id="horaEntrada"
                value="#{capturarIntervencionesQuirurgicasController.datosHospitalizacion.datosIntervenciones.horaEntrada}"
                mask="99:99"
                binding="#{capturarIntervencionesQuirurgicasController.textHoraEntrada}"
                onfocus="desactivarGuardar();">
            </p:inputMask>
        </p:column>
        <p:column class="campo4">
            <p:outputLabel value="#{msghsp['hora.inicio']}" />
        </p:column>
        <p:column class="campo5">
            <p:inputMask
                id="idHoraInicio"
                value="#{capturarIntervencionesQuirurgicasController.datosHospitalizacion.datosIntervenciones.horaInicio}"
                mask="99:99"
                binding="#{capturarIntervencionesQuirurgicasController.textHoraInicio}"
                onfocus="desactivarGuardar();">
            </p:inputMask>
        </p:column>
        <p:column />
    </p:row>
    <p:row>
        <p:column />
        <p:column />
        <p:column>
            <p:outputLabel value="#{msghsp['hora.termino']}" />
        </p:column>
        <p:column class="campo5">
            <p:inputMask
                id="idHoraTermino"
                value="#{capturarIntervencionesQuirurgicasController.datosHospitalizacion.datosIntervenciones.horaTermino}"
                mask="99:99"
                binding="#{capturarIntervencionesQuirurgicasController.textHoraTermino}"
                onfocus="desactivarGuardar();">
            </p:inputMask>
        </p:column>
        <p:column>
            <p:outputLabel value="#{msghsp['hora.salida.sala']}" />
        </p:column>
        <p:column class="campo5">
            <p:inputMask
                id="idHoraSalidaSala"
                value="#{capturarIntervencionesQuirurgicasController.datosHospitalizacion.datosIntervenciones.horaSalida}"
                mask="99:99"
                binding="#{capturarIntervencionesQuirurgicasController.textHoraSalidaSala}"
                onfocus="desactivarGuardar();">
            </p:inputMask>
        </p:column>
        <p:column />
    </p:row>
</p:panelGrid>
</html>